Bug 86563 - badbloacks attempts to access beyond end of device
badbloacks attempts to access beyond end of device
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-03-25 12:36 EST by Tim Moloney
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-02 15:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Moloney 2003-03-25 12:36:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
I run disk druid in manual mode and ask to check for bad blocks on all
partitions.  Regardless of the partitioning scheme, I always encounter one
partition that causes badblocks to attempt to read past the end of the partition.

For example, with the following partitioning:

  Disk /dev/hda: 40.0 GB, 40020664320 bytes
  255 heads, 63 sectors/track, 4865 cylinders
  Units = cylinders of 16065 * 512 = 8225280 bytes

     Device Boot    Start       End    Blocks   Id  System
  /dev/hda1   *         1        13    104391   83  Linux
  /dev/hda2            14      1318  10482412+  83  Linux
  /dev/hda3          1319      1971   5245222+  83  Linux
  /dev/hda4          1972      4865  23246055    f  Win95 Ext'd (LBA)
  /dev/hda5          1972      2004    265041   82  Linux swap
  /dev/hda6          2005      2037    265041   83  Linux
  /dev/hda7          2038      4865  22715878+  83  Linux

hda7 would return with "bad blocks" and the error message on one of
the virtual terminals said:

  attempt to access beyond end of device
  want=22715880, limit=22715878

On prior attempts, hda3 and hda5 had problems, so it's not related
to being the last partition on the disk.

I can successfully run "mk32fs -c -L <label> /dev/<partition>" for all the
partitions, so it appears to be the way anaconda is calling badblocks.

I don't know if the problem is related to my specific disk, the disk model, or
if it is a more general problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Partition manually with disk druid
2. Select check for bad blocks on all partitions
3. Proceed with the rest of the installation

Actual Results:  See description above

Expected Results:  Not to attempt accessing beyond the end of the device.

Additional info:
Comment 1 Michael Fulbright 2003-03-25 17:34:19 EST
I have not seen this issue reported before.  Did you create the partition table
from scratch with disk druid, or were you modifying an existing partition table
created by another program?

Comment 2 Tim Moloney 2003-03-25 18:01:03 EST
The hard disk had the following history:

- Bought disk

- Installed Red Hat 8.0 on it
  - Partitioned manually using disk druid
  - Check for bad blocks on all partitions

- Installed phoebe-3 on it
  - Partitioned manually using disk druid (repeated 4 times)
    - Removed all partition
    - Created new partitions (trying different sizes)
    - Check for bad blocks on all partitions
    - Error occurs at a different place on the disk each time
  - Partitioned manually using disk druid
    - Removed all partition
    - Created new partitions (using sizes listed above)
    - Did NOT check for bad blocks on any partitions.
  - Manually ran mke2fs -c -L <label> /dev/<partition> on all partitions
    in the bash virtual terminal
  - Continued installation without any further problems.
Comment 3 Jeremy Katz 2003-04-02 15:34:51 EST
We've removed badblocks from our current internal code base.

Note You need to log in before you can comment on or make changes to this bug.